Bug 469758 - Nagios file locations violate FHS guidelines
Nagios file locations violate FHS guidelines
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nagios (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Keiran Smith
Fedora Extras Quality Assurance
: Reopened
: 847964 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 16:51 EST by James Ralston
Modified: 2015-02-18 06:58 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:58:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Ralston 2008-11-03 16:51:21 EST
The way in which the Nagios package locates certain files does not conform to the Filesystem Hierarchy Standard, and is extremely confusing.

For example, Nagios locates certain state files in /var/log:

/var/log/nagios/comments.dat
/var/log/nagios/status.dat

These should be located in /var/lib/nagios instead.

Additionally, the /var/spool/nagios/cmd/nagios.cmd pipe should almost certainly be /var/run/nagios/cmd instead.

Would you accept a patch to fix these issues, and send it upstream?
Comment 1 mail@romal.de 2008-11-03 16:59:45 EST
Yes of course.

We would have to check the depending packages: plugins, pnp4nagios, nrpe, ...
Comment 2 Bug Zapper 2008-11-25 23:42:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 mail@romal.de 2009-01-11 10:38:41 EST
Any patches ?
Comment 4 Bug Zapper 2009-11-18 03:44:50 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:44:25 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Peter Lemenkov 2010-09-11 14:23:07 EDT
Reopening this and reassigning to myself. The issue still exists.
Comment 7 Fedora Admin XMLRPC Client 2012-03-18 17:49:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Andrew Elwell 2012-08-14 05:22:44 EDT
*** Bug 847964 has been marked as a duplicate of this bug. ***
Comment 9 Andrew Elwell 2012-08-14 05:24:23 EDT
Any chance of getting this patched? its still an issue in F17! original bug was opened at fedora 10.
Comment 10 Fedora End Of Life 2013-04-03 15:52:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 11 Vadym Chepkov 2013-07-07 08:04:04 EDT
Due to this in-compliance, nagios is not capable to run in SELinux environment, since all these files can't be modified. logs supposed to be opened only in "append" mode.

object_cache_file=/var/log/nagios/objects.cache
precached_object_file=/var/log/nagios/objects.precache
status_file=/var/log/nagios/status.dat
temp_file=/var/log/nagios/nagios.tmp
log_archive_path=/var/log/nagios/archives
check_result_path=/var/log/nagios/spool/checkresults
state_retention_file=/var/log/nagios/retention.dat
debug_file=/var/log/nagios/nagios.debug

This also needs to go to 

lock_file=/run/nagios/nagios.pid
Comment 12 Fedora End Of Life 2015-01-09 16:37:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-18 06:58:00 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.